=== modified file '.bzrignore'
--- .bzrignore	2016-03-04 18:30:43 +0000
+++ .bzrignore	2016-03-06 03:22:51 +0000
@@ -1,3 +1,4 @@
+*.tar.bz2
 *.cmd
 pciDriver.ko
 pciDriver.mod.c

=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2016-03-06 01:42:09 +0000
+++ CMakeLists.txt	2016-03-06 03:22:51 +0000
@@ -183,7 +183,7 @@
 else (${RELEASE} GREATER 0)
     set(CPACK_PACKAGE_VERSION "${PACKAGE_VERSION}")
 endif (${RELEASE} GREATER 0)
-set(CPACK_SOURCE_IGNORE_FILES "/build/;/.bzr/;CMakeFiles;_CPack_Packages;cmake_install.cmake;CPack.*.cmake;CMakeCache.txt;install_manifest.txt;common.mk;config.h$;.pc$;/([^d]|d[^r])[^/]*/Makefile;__pycache__;.pyc$;.tar.bz2$;~$;${CPACK_SOURCE_IGNORE_FILES}")
+set(CPACK_SOURCE_IGNORE_FILES "/build/;/.bzr/;CMakeFiles;_CPack_Packages;cmake_install.cmake;CPack.*.cmake;CMakeCache.txt;install_manifest.txt;common.mk;pcilib/config.h$;.pc$;/([^d]|d[^r])[^/]*/Makefile;__pycache__;.pyc$;.tar.bz2$;~$;${CPACK_SOURCE_IGNORE_FILES}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
 include(CPack)
 

=== added file 'misc/dkms-postbuild.sh'
--- misc/dkms-postbuild.sh	1970-01-01 00:00:00 +0000
+++ misc/dkms-postbuild.sh	2016-03-06 03:22:51 +0000
@@ -0,0 +1,3 @@
+#! /bin/bash
+
+make -C driver/ install_symvers KERNELVER=$kernelver KERNELDIR=$kernel_source_dir

=== modified file 'misc/dkms.conf.in'
--- misc/dkms.conf.in	2016-03-04 16:16:25 +0000
+++ misc/dkms.conf.in	2016-03-06 03:22:51 +0000
@@ -1,5 +1,5 @@
-POST_INSTALL="make -C driver/ install_symvers KERNELVER=$kernelver KERNELDIR=$kernel_source_dir"
-MAKE="make -C driver/ KERNELDIR=/lib/modules/${kernelver}/build"
+POST_BUILD="dkms-postbuild.sh"
+MAKE="make -C driver/ KERNELDIR=/lib/modules/$kernelver/build"
 CLEAN="make -C driver/ clean"
 BUILT_MODULE_NAME=pciDriver
 BUILT_MODULE_LOCATION=driver/

=== modified file 'pcitool.spec.in'
--- pcitool.spec.in	2016-03-05 15:16:13 +0000
+++ pcitool.spec.in	2016-03-06 03:22:51 +0000
@@ -35,6 +35,7 @@
 %package -n libpcilib${PCILIB_ABI_VERSION}
 Summary: User-space PCI library
 Group: Development/Libraries
+Provides: pcilib = %{version}
 Requires: pcilib-python >= %{version}
 Requires: pcilib-dkms >= %{version}
 
@@ -58,6 +59,7 @@
 Summary: Development files for pcilib
 Group: Development/Libraries 
 Requires: libpcilib${PCILIB_ABI_VERSION} = %{version}
+Requires: uthash
 
 %description -n libpcilib-devel
 Development files for user-space PCI library
@@ -138,6 +140,7 @@
 install -m 644 driver/ioctl.h $RPM_BUILD_ROOT/%{_includedir}/linux/pcidriver.h
 mkdir -p $RPM_BUILD_ROOT/usr/src/%{modname}-%{version}/pcilib/
 install -m 644 misc/dkms.conf $RPM_BUILD_ROOT/%{_prefix}/src/%{modname}-%{version}/
+install -m 755 misc/dkms-postbuild.sh $RPM_BUILD_ROOT/%{_prefix}/src/%{modname}-%{version}/
 install -m 644 pcilib/*.h $RPM_BUILD_ROOT/%{_prefix}/src/%{modname}-%{version}/pcilib/
 cp -r driver $RPM_BUILD_ROOT/usr/src/%{modname}-%{version}/
 
@@ -231,7 +234,7 @@
 %if %{defined suse_version}
 /var/adm/fillup-templates/sysconfig.*
 %else
-%{_sysconfdir}/sysconfig/*
+%config %{_sysconfdir}/sysconfig/*
 %endif
 %{_unitdir}/*
 %{_datadir}/pcilib${PCILIB_ABI_VERSION}/pyserver

=== modified file 'pcitool/buildinfo.c'
--- pcitool/buildinfo.c	2016-03-05 15:16:13 +0000
+++ pcitool/buildinfo.c	2016-03-06 03:22:51 +0000
@@ -5,7 +5,7 @@
 void BuildInfo() {
     printf("\n");
 #ifdef PCILIB_RELEASE
-    printf("Release: %s (revision: %s built on %s in %s)\n", PCILIB_RELEASE, PCILIB_REVISION, PCILIB_BUILD_DATE, PCILIB_BUILD_DIR);
+    printf("Release: %s (r%s packaged on %s in %s)\n", PCILIB_RELEASE, PCILIB_REVISION, PCILIB_BUILD_DATE, PCILIB_BUILD_DIR);
 #else /* PCILIB_RELEASE */
     printf("Revision: %s built on %s in %s\n", PCILIB_REVISION, PCILIB_BUILD_DATE, PCILIB_BUILD_DIR);
 #endif /* PCILIB_RELEASE */

